clang 8.0.0

Public Member Functions | List of all members
clang::FixedSizeTemplateParameterListStorage< N, HasRequiresClause > Class Template Reference

Stores a list of template parameters and the associated requires-clause (if any) for a TemplateDecl and its derived classes. More...

`#include "clang/AST/DeclTemplate.h"`

Inheritance diagram for clang::FixedSizeTemplateParameterListStorage< N, HasRequiresClause >:
[legend]
Collaboration diagram for clang::FixedSizeTemplateParameterListStorage< N, HasRequiresClause >:
[legend]

## Public Member Functions
| FixedSizeTemplateParameterListStorage (SourceLocation TemplateLoc, SourceLocation LAngleLoc, ArrayRef< NamedDecl *> Params, SourceLocation RAngleLoc, Expr *RequiresClause)

## Detailed Description

### template<size_t N, bool HasRequiresClause>
class clang::FixedSizeTemplateParameterListStorage< N, HasRequiresClause >

Stores a list of template parameters and the associated requires-clause (if any) for a TemplateDecl and its derived classes.

Suitable for creating on the stack.

Definition at line 189 of file DeclTemplate.h.

## Constructor & Destructor Documentation

## ◆ FixedSizeTemplateParameterListStorage()

template<size_t N, bool HasRequiresClause>

clang::FixedSizeTemplateParameterListStorage< N, HasRequiresClause >::FixedSizeTemplateParameterListStorage | ( | SourceLocation | TemplateLoc,
|  | SourceLocation | LAngleLoc,
|  | ArrayRef< NamedDecl *> | Params,
|  | SourceLocation | RAngleLoc,
|  | Expr * | RequiresClause
| ) |  |
| inline

Definition at line 197 of file DeclTemplate.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclTemplate.h